<div class="modal-header">
  <button type="button" (click)="close()" class="close" data-dismiss="modal">
    &times;
  </button>
  <h4 class="modal-title" *ngIf="!disabled">Popup to {{ labelPopup }} Bom</h4>
</div>
<div class="modal-body clearfix">
  <form class="form-horizontal form-style" [formGroup]="Form" novalidate>
    <div class="form-group">
      <div class="col-md-6">
        <custom-input
          [label]="'Item Code'"
          [validations]="{
            required: 'Item Code required'
          }"
          [attr.disabled]="''"
        >
          <autocomplete-directive
            required
            inputRef
            [key]="'itm_code'"
            [isdisabled]="disabled ? true : null"
            [custom_display_label]="['itm_code', 'itm_name']"
            [headers]="['Code', 'Name']"
            formControlName="itm_code"
            [items]="listItemCode"
            (type)="getListItemCode($event)"
            (selected)="selectItemCode($event)"
          ></autocomplete-directive>
        </custom-input>
      </div>
      <div class="col-md-6">
        <label class="control-label">Item Name</label>
        <input
          class="form-control"
          formControlName="itm_name"
          type="text"
          [attr.disabled]="''"
        />
      </div>
    </div>
    <div class="form-group">
      <div class="col-md-6">
        <label class="control-label">UOM</label>
        <input
          class="form-control"
          formControlName="uom_code"
          type="text"
          [attr.disabled]="''"
        />
      </div>
      <div class="col-md-6">
        <custom-input
          [label]="'QTY'"
          [validations]="{
            invalidInteger: 'Qty is type number'
          }"
        >
          <input
            inputRef
            class="form-control"
            formControlName="qty"
            type="text"
            [attr.disabled]="disabled ? '' : null"
          />
        </custom-input>
      </div>
    </div>

    <div class="form-group">
      <custom-input
        [label]="'Unit Price'"
        [validations]="{
          invalidNumber: 'Unit Price is type number'
        }"
      >
        <input
          inputRef
          class="form-control"
          formControlName="unit_price"
          type="text"
          [attr.disabled]="disabled ? '' : null"
        />
      </custom-input>
    </div>
  </form>
</div>
<div class="modal-footer text-right">
  <button
    type="button"
    class="btn btn-default"
    data-dismiss="modal"
    (click)="close()"
  >
    Close
  </button>
  <button
    type="button"
    (click)="save()"
    class="btn btn-primary"
    [disabled]="disabled || Form.invalid"
    *ngIf="!disabled"
  >
    {{ labelPopup }}
  </button>
</div>
